#!/usr/bin/perl 
use strict;
use ExtUtils::testlib;
use Audio::CD ();

my $cd = Audio::CD->init("/dev/cdrom");
my $cddb = $cd->cddb;
my $info = $cd->stat;
my $tinfo = $info->tracks;  # $tinfo = Audio::CD::Info::Track (array)
my @track_name = ();
my @track_length = ();

$cddb->verbose(1);

printf "cddb id = %lx, total tracks = %d\n", 
  $cddb->discid, $info->total_tracks;

my $data = $cddb->lookup;  # Audio::CD::Data

printf "artist: %s ; title: %s ; genre: [%s]\n", $data->artist, $data->title, $data->genre;

my $tracks = $data->tracks($info); # $tracks = ARRAY
for my $track (@$tracks) {
    # $track = Audio::CD::Track
    # print $track->name,"\n";
    push @track_name, $track->name;   
}

for my $track (@$tinfo) {
    #my($minutes, $seconds) = $track->pos;
    my($minutes, $seconds) = $track->length;
    # $track = Audio::CD::Info::Track
    # printf "%02d:%02d  ", $minutes, $seconds;
    # if ($track->type == Audio::CD::TRACK_AUDIO){ print "track audio \n";}
    # else { print "track data \n";}
    push @track_length, sprintf ("%02d:%02d  ", $minutes, $seconds) ;
}
for (my $i=0; $i <= $#track_name; $i++){
    print "title[",$i+1,"] = $track_name[$i] ; length = $track_length[$i]\n";
}
