# --- claudio fsr (como root) - 16 Aug 2005  - .spec adjusted for rpm building from tar.gz
# Install rpm-build package and see the macros with: "nedit /usr/lib/rpm/macros"
# cp /tmp/gnormalize-0.52.tar.gz /usr/src/rpm/SOURCES/
# mkdir -p /usr/src/rpm/RPMS/noarch/
# rpm -bb gnormalize.spec
# cp /usr/src/rpm/RPMS/noarch/gnormalize-0.52-1.noarch.rpm .


#%define prefix    /usr
%define name       gnormalize
%define version    0.52
%define release    1
# for then menu
%define section    Multimedia/Sound
%define title      Gnormalize
%define longtitle  An audio converter, a ripper, an encoder, a tag editor and a audio player.
#%define datadir $RPM_BUILD_ROOT/$prefix/share/


# %define _provides_exceptions  perl(Claudio1)
# %define _requires_exceptions  libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.3) libesd.so.0
# %define _requires_exceptions  libm libesd libc lib*
# %define _requires_exceptions    .so.


Summary     : %longtitle
Name        : %name             
Version     : %version                  
Vendor      : (none)
Release     : %release                              
Group       : Sound                                         
License     : GPL
Packager    : Claudio F. S. Rodrigues <claudiofsr@yahoo.com>
URL         : http://gnormalize.sourceforge.net
Distribution: http://gnormalize.sourceforge.net
Source      : %{name}-%{version}.tar.gz
BuildRoot   : /var/tmp/%{name}-buildroot
Requires    : normalize, cdparanoia, perl >= 5.8, gtk2 >= 2.6.0, perl-Gtk2 >= 1.050, perl(CDDB_get), perl(MP3::Info), perl(Gtk2) , perl(Gtk2::Pango), perl(Encode) , perl(Fcntl) , perl(POSIX), perl(File::Find) , perl(Glib)    
Provides    : mppenc, mppdec
AutoReq     : no
AutoProv    : no
BuildArch   : noarch

%description
gnormalize is a front end to normalize, a ripper, an encoder, 
an audio converter and an audio player. It uses gtk2-perl.

gnormalize decodes the MP3/MP4/MPC/OGG/APE/FLAC file to WAV,
then normalizes the WAV to a targeted volume level and re-encodes it.
gnormalize can also rip, encode, convert audio format between MP3, MP4, 
MPC, OGG, APE and FLAC, play audio files, change the encoding and tag 
properties of final normalized files.           

# Recomended: 1) "cdparanoia", to rip audio CDs; 2) "normalize", to normalize audio files.

%prep                                                                             
%setup -q                                                                                                                           
                                                                                                                                                                                                                  
%install                                                                          
rm -rf $RPM_BUILD_ROOT 
                                                           
mkdir -p $RPM_BUILD_ROOT/usr/bin   
mkdir -p $RPM_BUILD_ROOT/usr/share/gnormalize/animations 
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir} # /usr/share/icons/large/
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
                                                                                                                                                     
# Menu Entrie
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name):command="%{_bindir}/%{name}" \
icon="%{name}.png" needs="X11" \
section="%{section}" startup_notify="false" \
title="%{title}" longtitle="%{longtitle}" \
mimetypes="" accept_url="false" \
multiple_files="false" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gnormalize
Comment=A ripper, an encoder and an audio converter
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;AudioVideoEditing;
EOF

# install
install -m 755 gnormalize        $RPM_BUILD_ROOT/usr/bin/gnormalize
install -m 755 mpc/mppdec        $RPM_BUILD_ROOT/usr/bin/mppdec
install -m 755 mpc/mppenc        $RPM_BUILD_ROOT/usr/bin/mppenc
install -m 644 README            $RPM_BUILD_ROOT/usr/share/gnormalize
install -m 644 animations/*.gif  $RPM_BUILD_ROOT/usr/share/gnormalize/animations
install -m 644 gnormalize.1.bz2  $RPM_BUILD_ROOT/usr/share/man/man1

# icons
install -m 644 icons/%{name}-48.png  $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -m 644 icons/%{name}-32.png  $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 icons/%{name}-16.png  $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

#%post -p /sbin/ldconfig   
%post
%{update_menus}

#%postun -p /sbin/ldconfig    
%postun
%{clean_menus}                
                                                                                  
%clean                                                                            
rm -rf $RPM_BUILD_ROOT 
                                                                                  
%files                                                                            
%defattr(-,root,root)                                                             
%doc README

%_bindir/*
#/usr/bin/gnormalize
#/usr/bin/mppdec
#/usr/bin/mppenc

%{_datadir}/%name
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

# icons: /usr/share/icons/gnormalize.png
/%{_iconsdir}/%{name}.png 
/%{_liconsdir}/%{name}.png
/%{_miconsdir}/%{name}.png
                             
/usr/share/man/man1/gnormalize.1.bz2
                                                             
                                                                                  
%changelog
* Wed Nov 22 2006 Claudio F. S. Rodrigues  0.52-1
- Bugfixes.

* Tue Sep 23 2006 Claudio F. S. Rodrigues  0.51-1
- Show the Scrolling Text on the vertical or horizontal direction.

* Sun Sep 03 2006 Claudio F. S. Rodrigues  0.50-1
- Bugfixe on strings values of set_popdown_strings 
  function (thanks to Bjrn C. Schaefer).
- Show/Hide file number, artist and track columns of playlist.
- Color for artists and albuns columns when a file is played.
- Changes on Interval and Step for Scrolling Text.

* Fri Mar 31 2006 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.49-1
- The possibility to change the Remaining Time color.
- Add a button to show/hide the progress bar.
- Make a Makefile.

* Mon Feb 20 2006 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.48-1
- Bug fixes.

* Wed Nov 13 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.47-1
- Bug fixes.

* Wed Oct 29 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.46-1
- Play APE format with the command: mac "song.ape"  - -d | play -t wav -

* Wed Oct 16 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.45-1
- The ability to select more than one album or artist by pressing control 
  key and mouse button.

* Wed Oct 09 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.44-1
- The ability to choose what columns to show on the playlist.

* Wed Oct 02 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.43-1
- Some color on playlist.
- The ability to remove the selected musics from playlist.
- Use the directory name for Album list if no album name is found.

* Wed Sep 25 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.42-1
- Save the playlist in the configuration file and show the playlist like Rhythmbox.
- The output directory can be selected.

* Wed Sep 20 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.41-1
- The ability to play MP3, MP4, MPC, OGG, FLAC and WAV format was added.
  gnormalize play MP3 with mpg321/mpg123/madplay, MPC with mppdec, 
   OGG with ogg123, FLAC with flac123/MPlayer and WAV with MPlayer.				
- Convert/Normalize all supported files inside the directory to one specific format. 
- Output to WAV without need to encode.
- Change the cd player skin.

* Wed Sep 09 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.40-1
- The ability to select one skin to cd player was added.

* Wed Sep 07 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.39-1
- Only CD player display mode was added.

* Wed Aug 24 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.38-1
- More improve on the CD player display. 

* Mon Aug 20 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.37-1
- Set the relative audio track position on the CD player. 
                                                                  
* Mon Aug 15 2005 Claudio F. S. Rodrigues <claudiofsr@yahoo.com> 0.36-1
- First realease from gnormalize homepage.
- Initial specification file.                      
                                                                                                                               
                                                                                  
